Bug 209168 - cpufreq-applet not displaying text on both instances when two are running to mointor a dual-core system
cpufreq-applet not displaying text on both instances when two are running to ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-applets (Show other bugs)
5.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 14:21 EDT by Gary Case
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 20:01:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Case 2006-10-03 14:21:50 EDT
Description of problem:
cpufreq-applet is not displaying text on both instances when there are two
instances of the applet running to mointor a dual-core system.

Version-Release number of selected component (if applicable):
gnome-applets-2.16.0.1-3.fc6 (RHEL5 Beta)
gnome-applets-2.16.0.1-7.fc6 (Rawhide from 3-Oct-2006)

How reproducible:
Every time

Steps to Reproduce:
1. Add cpufreq-applet to panel
2. Add second instance of cpufreq-applet to panel (for 2nd core) 

Actual results:
First instance shows graphic and text speed indicators. Second indicator only
shows graphics. Graphics still missing when preferences changed to monitor core
1 instead of core 0 on second instance of the applet.

Expected results:
Graphics and text displayed for both instances of cpufreq-applet when appearance
set to "Graphic and text"

Additional info:
Changing the type from "Graphic and text" to something else and back again will
temporarily cause the text to be displayed along with the graphics, but the
problem will reoccur when the user logs out and back in.
Comment 1 Matthias Clasen 2006-10-16 23:50:58 EDT
Also, the tooltips says "CPU 0" regardless of the monitoring preference.
Comment 2 Matthias Clasen 2006-10-23 16:13:19 EDT
testing a fix now.
Comment 4 Matthias Clasen 2006-10-24 00:52:05 EDT
pm-ack ?
without this fix, the cpufreq applet does not really work on multprocessor machines.
Comment 7 RHEL Product and Program Management 2006-12-22 20:01:38 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.